usertable.h(3)

NAME
usertable.h -

inotify cron daemon user tables header

SYNOPSIS

#include <map>
#include <deque>
#include <sys/poll.h>
#include 'inotify-cxx.h'
#include 'incrontab.h'

  Classes
struct ProcData_t
Child process data'.
class EventDispatcher
Event dispatcher class'.
class UserTable
User table class'.

  Typedefs
typedef std::map< std::string,
UserTable * > SUT_MAP"
User name to user table mapping definition'.
typedef void(* proc_done_cb )(InotifyWatch *)
Callback for calling after a process finishes'.
typedef std::map< int,
UserTable * > FDUT_MAP"
fd-to-usertable mapping
typedef std::map< InotifyWatch
*, IncronTabEntry * > IWCE_MAP"
Watch-to-tableentry mapping'.
typedef std::map< pid_t,
ProcData_t > PROC_MAP"
Child process list'.

Detailed Description

inotify cron daemon user tables header inotify cron system

Copyright (C) 2006, 2007, 2008 Lukas Jelinek, <lukas@aiken.cz>

This program is free software; you can use it, redistribute it and/or modify it under the terms of the GNU General Public License, version 2 (see LICENSE-GPL)'.

Typedef Documentation

  typedef std::map<int, UserTable*> FDUT_MAP

fd-to-usertable mapping

  typedef std::map<InotifyWatch*, IncronTabEntry*> IWCE_MAP

Watch-to-tableentry mapping'.

  typedef void(* proc_done_cb)(InotifyWatch *)

Callback for calling after a process finishes'.

  typedef std::map<pid_t, ProcData_t> PROC_MAP

Child process list'.

  typedef std::map<std::string, UserTable*> SUT_MAP

User name to user table mapping definition'.

Author

Generated automatically by Doxygen for incron from the source code'.